import {IFactory as IAppFactory} from '../IFactory';
import {IAppContainer} from './IAppContainer';

export interface IFactory {
    setAppFactory(factory:IAppFactory): void;
    getAppContainer(): IAppContainer;
    init(container:HTMLElement, conf?:any): void;
}